import { get } from '@bifravst/aws-ssm-settings-helpers';
import { NRFCLOUD_ACCOUNT_SCOPE } from './scope.js';
export const getAllAccounts = async ({ ssm, stackName, }) => [
    ...getAccountsFromAllSettings(await get(ssm)({
        stackName,
        scope: NRFCLOUD_ACCOUNT_SCOPE,
    })()),
];
export const getAccountsFromAllSettings = (settings) => new Set(Object.keys(settings).map((key) => key.split('/')[0]));
